lirc-modules won't compile, upgrade to 0.8.1 needed

Bug #86364 reported by Jorge Suárez de Lis on 2007-02-19
2
Affects Status Importance Assigned to Milestone
lirc (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: lirc-modules-source

lirc_dev won't compile since it searchs for include/linux/config.h, that no longer exists on 2.6.20. Also, once fixed that, lirc_gpio won't compile since it search for drivers/media/video/bt8xx/bttv.h and drivers/media/video/bt8xx/bttvp.h, now located on another place.

An upgrade to 0.8.1 would solve these issues, and possibly anothers. With 0.8.0 lirc won't ever work.

Jorge Suárez de Lis (ys) wrote :

Files bttv.h, bttvp.h along another neccessary files are now located only *into the kernel source, NOT on kernel headers.

From 2.6.16 the propossed solution was to include the neccessary files along the lirc-modules source. I did it again for 2.6.20.

Also, changed linux/config.h to linux/autoconf.h on lirc_dev.

Patch attached.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers